
default:
  interruptible: true
  timeout: 5m

.helmfiletest:
  stage: test
  image: utopiaplanitia/helm-tools:latest@sha256:52e6417f41eb993242e65a8daaab216b71dda1851b89a407ae6e91b3c390425f

tests/helmfile.yaml template:
  script:
    - helmfile --file tests/helmfile.yaml template
  extends: .helmfiletest

tests/helmfile.yaml lint:
  script:
    - helmfile --file tests/helmfile.yaml lint --args=--strict
  extends: .helmfiletest

